Bug 221199 - LDAP in nsswitch.conf causes hang on reboot
LDAP in nsswitch.conf causes hang on reboot
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: nss_ldap (Show other bugs)
6
All Linux
medium Severity high
: ---
: ---
Assigned To: Nalin Dahyabhai
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-01-02 17:22 EST by Mark Haney
Modified: 2008-05-06 13:17 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 13:17:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
ldap.conf file of one machine that hangs on reboot. (9.29 KB, application/octet-stream)
2007-01-02 17:39 EST, Mark Haney
no flags Details
nsswitch.conf as requested. (1.88 KB, application/octet-stream)
2007-01-03 09:38 EST, Mark Haney
no flags Details

  None (edit)
Description Mark Haney 2007-01-02 17:22:47 EST
Description of problem:If I leave ldap in nsswitch.conf with the newest versions
of openldap/nscd/nss_ldap and reboot either FC5 or FC6 the system hangs at
'Starting System Message bus'.


Version-Release number of selected component (if applicable):
openldap-clients-2.3.19-4 (FC%)
nss_ldap-249-1 (FC5)
openldap-2.3.19-4 (FC5)

openldap-2.3.27-4 (FC6)
openldap-clients-2.3.27-4 (FC6)
nss_ldap-253-1 (FC6)






How reproducible: every time I reboot.


Steps to Reproduce:
1.reboot with nscd set to start on boot.
2.ldap in nsswitch.conf (in any position in the list)
3.
  
Actual results: system hangs during boot.


Expected results: should get a clean boot.


Additional info:If I remove ldap from nsswitch.conf and reboot the system will
reboot fine, but this is inconvenient since I have a dozen FC boxes that do
occassionally need rebooting.  Please let me know what other info I can provide.
Comment 1 Jay Fenlason 2007-01-02 17:27:17 EST
Attach your /etc/ldap.conf file.  Misconfiguration there (especially removing 
the nss_initgroups_ignoreusers line) can easily cause timeouts as nss attempts 
to get user and group information before the network or LDAP server are 
started. 
Comment 2 Mark Haney 2007-01-02 17:39:05 EST
Created attachment 144672 [details]
ldap.conf file of one machine that hangs on reboot.

This is a copy of the ldap.conf file you requested.  I've used this same
configuration for over a year now and until the upgrades to FC5 and 6 have seen
no problems at all.
Comment 3 Nalin Dahyabhai 2007-01-02 17:51:12 EST
Try setting "nss_initgroups_ignoreusers root,nscd" in /etc/ldap.conf.  Assuming
it's a problem during group membership enumeration, this should work around it.
 Please attach nsswitch.conf for the "hang" case, so that we can be sure you're
not running into a recursion problem in hostname resolution and the like.  Thanks!
Comment 4 Mark Haney 2007-01-03 09:38:04 EST
Created attachment 144702 [details]
nsswitch.conf   as requested.

It looks as if the command added into ldap.conf fixed the problem.  I'm 2 for 2
with it on servers I've rebooted that have had this problem.  One FC5 the other
FC6.
Comment 5 Jan Safranek 2007-05-22 09:06:43 EDT
Please add "nscd" to "nss_initgroups_ignoreusers" in default /etc/ldap.conf
Comment 6 Mark Haney 2007-07-09 11:29:20 EDT
It looks like this fixes the problem.  In every case I am able to reboot
successfully.
Comment 7 Bug Zapper 2008-04-04 01:27:32 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 8 Bug Zapper 2008-05-06 13:17:11 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.